Bug 9117 - (int-157458) Wrong IAP set for SFR (France)
(int-157458)
: Wrong IAP set for SFR (France)
Status: RESOLVED FIXED
Product: Connectivity
Operator Setup Wizard
: 5.0/(3.2010.02-8)
: All Maemo
: Unspecified normal with 1 vote (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: phone-settings-wizard-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-02-17 21:09 UTC by Vincent
Modified: 2010-03-15 20:52 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Vincent (reporter) 2010-02-17 21:09:28 UTC
SOFTWARE VERSION: 3.2010.02-8

EXACT STEPS LEADING TO PROBLEM: 
1. Insert SFR SIM Card
2. Power On
3. Let it set everything up

EXPECTED OUTCOME:
The IAP is set to wapsfr or sl2sfr (Full Internet option)

ACTUAL OUTCOME:
The IAP is websfr (3G stick/modem only)

REPRODUCIBILITY:
always

SOFTWARE INSTALLED:
Probably irrelevant 

OTHER COMMENTS:

All the other Nokia wizards sets up three access points: Vodafone Live! (WAP,
Web, included in most recent plans), SFR Internet (Tethering, costly) and MMS
SFR (well, MMS). By default, the N900 sets up the Tethering access point,
potentially leading to high costs for the end customer (up to 40€ extra/mo for
1GB of transfer).

All users of the N900 probably have either a simple 'Illimythics 3G+' plan,
which uses wapsfr as an IAP, or they have an 'Illimythics 3G+ Full Internet'
plan (+8€/mo) which opens most ports (IMAP, Messenger and the like) and uses
IAP sl2sfr.

All SFR customers have access to wapsfr as part of their plan. Thus, the most
sensible choice for the automatical setup should be wapsfr.

On older mobiles a proxy was set, but it is not mandatory. 

http://www.sfr.fr/assistance/telephone-mobile/mode-emploi/manipulations2.do?mobileid=7776&manipid=1233914

This webpage shows how to set up a Nokia N95 8GB with the right IAP. Again, the
proxy is not mandatory, but if the carrier asks for it, you might as well set
it up their way, it doesn't have any impact on port blocking.


User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US)
AppleWebKit/532.5 (KHTML, like Gecko) Chrome/4.0.249.89 Safari/532.5
Comment 1 Andre Klapper maemo.org 2010-02-18 13:19:03 UTC
Hi Vincent, thanks for reporting this!
Comment 2 Andre Klapper maemo.org 2010-03-02 18:17:47 UTC
This has been fixed in package
operator-wizard-settings 2.0.48+0m5
which is part of the internal build version
10.2010.08-18
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 3 Andre Klapper maemo.org 2010-03-15 20:52:43 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).